Applicants
Alle Operationen rund um Applicants.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Applicant | applicant |
15 | — | applicant_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/applicants |
Create applicant | Create a new applicant in the active tenant. |
DELETE |
/v1/applicants/{id} |
Delete applicant | Soft delete entity. |
GET |
/v1/applicants/{id} |
Get applicant by id | Fetch a single applicant. |
GET |
/v1/applicants/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/applicants/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/applicants/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/applicants |
List applicants | List applicants for the active tenant. |
PATCH |
/v1/applicants/{id} |
Patch applicant | JSON Merge Patch update. |
POST |
/v1/applicants/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/applicants/{id}/transition |
POST /v1/applicants/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/applicants/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/applicants/{id} |
Replace applicant | Full replace with optimistic locking. |